Retrieves a list of all AuditTrails.
curl --request GET \
--url http://claimsdesk.runasp.net/api/v1/AuditTrails \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'import requests
url = "http://claimsdesk.runasp.net/api/v1/AuditTrails"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('http://claimsdesk.runasp.net/api/v1/AuditTrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://claimsdesk.runasp.net/api/v1/AuditTrails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>",
"X-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://claimsdesk.runasp.net/api/v1/AuditTrails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-App-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://claimsdesk.runasp.net/api/v1/AuditTrails")
.header("X-App-Id", "<api-key>")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("http://claimsdesk.runasp.net/api/v1/AuditTrails")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"code": "<string>",
"sourceIp": "<string>",
"userAgent": "<string>",
"rawDescription": "<string>",
"requestRoute": "<string>",
"sourceController": "<string>",
"sourceAction": "<string>",
"metadata": "<string>",
"branchId": 123,
"userId": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]Developer & System Security
Retrieves a list of all AuditTrails.
GET
/
api
/
v1
/
AuditTrails
Retrieves a list of all AuditTrails.
curl --request GET \
--url http://claimsdesk.runasp.net/api/v1/AuditTrails \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'import requests
url = "http://claimsdesk.runasp.net/api/v1/AuditTrails"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('http://claimsdesk.runasp.net/api/v1/AuditTrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://claimsdesk.runasp.net/api/v1/AuditTrails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>",
"X-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://claimsdesk.runasp.net/api/v1/AuditTrails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-App-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://claimsdesk.runasp.net/api/v1/AuditTrails")
.header("X-App-Id", "<api-key>")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("http://claimsdesk.runasp.net/api/v1/AuditTrails")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"code": "<string>",
"sourceIp": "<string>",
"userAgent": "<string>",
"rawDescription": "<string>",
"requestRoute": "<string>",
"sourceController": "<string>",
"sourceAction": "<string>",
"metadata": "<string>",
"branchId": 123,
"userId": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]Authorizations
App ID authentication. Enter your App ID below.
API Key authentication. Enter your key below.
Query Parameters
Response
OK

